/**
 * CRXHttpMessage.cpp
 */
#ifdef _WIN32
# pragma warning (disable:4996)
#endif

#include "CRXHttpMessage.h"

#include <iostream>
#include <stdio.h>
#include <stdlib.h>

CRXHttpMessage::CRXHttpMessage (void)
	: mHttpMessage	(""),
	  mHttpVersion	("")
{
}

void
CRXHttpMessage::SetMessage (const char * aHttpMessage)
{
	if (aHttpMessage == NULL)
		return ;

	mHttpMessage.clear ();
	mHttpMessage.assign (aHttpMessage);

	this->Parse ();
}

std::string
CRXHttpMessage::GetMessage (void) const
{
	return mHttpMessage;
}

void
CRXHttpMessage::Parse (void)
{
}

CRXHttpMessage::operator const char * (void) const
{
	return mHttpMessage.c_str ();
}

CRXHttpMessage &
CRXHttpMessage::operator = (const char * aHttpMessage)
{
	SetMessage (aHttpMessage);
	return *this;
}
