/**
 * CRXHttpMessage.h
 */
#ifndef __CRXHTTPMESSAGE_H__
#define __CRXHTTPMESSAGE_H__

#include <string>

using namespace std;

class CRXHttpMessage
{
protected:
	std::string	mHttpMessage;
	std::string	mHttpVersion;

public:
	CRXHttpMessage				(void);

protected:
	virtual void	Parse		(void);

public:
	void			SetMessage	(const char * aHttpMessage);
	std::string		GetMessage	(void) const;

								operator const char *	(void) const;
	virtual CRXHttpMessage &	operator =				(const char * aHttpMessage);
};

#endif // #ifndef __CRXHTTPMESSAGE_H__
