/*
 * CRXMutex.h
 */

#ifdef _WIN32
# include <Windows.h>
# define CRX_MUTEX	HANDLE
#else
# include <pthread.h>
# define CRX_MUTEX	pthread_mutex_t
#endif

class CRXMutex
{
private:
	CRX_MUTEX mMutex;

public:
	CRXMutex			(void);
	~CRXMutex			(void);

public:
	int		Create		(void);
	void	Lock		(void);
	void	Unlock		(void);
};
